
#
# Makefile.PL
# $Id$
#
# made by module-starter,  8-Nov-07
#

use strict;
use warnings;
use ExtUtils::MakeMaker;

my @db_programs = qw(
	db2dcliff 
	dbcol 
	dbcolcreate 
	dbcoldefine 
	dbcoldiff 
	dbcolhisto 
	dbcolize 
	dbcolmerge 
	dbcolmovingstats 
	dbcolmultiscale 
	dbcolneaten 
	dbcolpercentile 
	dbcolrename 
	dbcolscorrelate 
	dbcolsplittocols 
	dbcolsplittorows 
	dbcolsregression
	dbcolstats 
	dbcoltighten 
	dbfilesplit 
	dbfilevalidate
	dbformmail 
	dbjoin 
	dblistize 
	dbmapreduce
	dbmultistats 
	dbrecolize 
	dbrow 
	dbrowaccumulate 
	dbrowdiff 
	dbrowenumerate 
	dbroweval 
	dbrowsplituniq 
	dbrowuniq 
	dbsort 
	dbstats 
	dbstripcomments 
	dbstripextraheaders 
	dbstripleadingspace
);
my @converters = qw(
    	cgi_to_db
	crl_to_db 
	csv_to_db 
	db_to_html_table 
	db_to_csv 
	dmalloc_to_db 
	ipchain_logs_to_db 
	kitrace_to_db 
	mysql_to_db 
	ns_to_db 
	tabdelim_to_db 
	tcpdump_to_db
);
my @programs_to_install = (@db_programs, @converters);


WriteMakefile(
    NAME                => 'Jdb',
    AUTHOR              => 'John Heidemann <johnh@isi.edu>',
    VERSION_FROM        => 'lib/Jdb.pm',
    ABSTRACT_FROM       => 'lib/Jdb.pm',
    EXE_FILES       => [ map "bin/$_", @programs_to_install ],
    PL_FILES            => {},
    PREREQ_PM => {
        'Test::More' => 0,
        'Text::CSV_XS' => 0,
    },
    dist                => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    clean               => { FILES => 'Jdb-*' },
);

open(MF, ">>Makefile") or die "$0: cannot append to Makefile.\n";
print MF <<'END';

SPEC_PREFIX=Jdb
RPM_ARCH=noarch
RPM_PREFIX=perl-Jdb

Jdb.spec: lib/Jdb.pm
	overwrite $@ sed "s/^Version: .*$$/Version: $(VERSION)/"

rpms: $(SPEC_PREFIX).spec Jdb.spec
	cp $(SPEC_PREFIX)-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	cp $(SPEC_PREFIX).spec /usr/src/redhat/SPECS
	( cd /usr/src/redhat; rpmbuild -ba SPECS/$(SPEC_PREFIX).spec; )
	cp /usr/src/redhat/RPMS/$(RPM_ARCH)/$(RPM_PREFIX)-$(VERSION)-1.$(RPM_ARCH).rpm .
	cp /usr/src/redhat/SRPMS/$(RPM_PREFIX)-$(VERSION)-1.src.rpm .

signrpms: 
	rpm --resign $(RPM_PREFIX)-$(VERSION)*.rpm

WEBDIR=/home/johnh/LIB/WWW/SOFTWARE/JDB

release:
	@echo "You should have done \"make dist; make rpms\""
	make signrpms
	cp $(RPM_PREFIX)-$(VERSION)-1.$(RPM_ARCH).rpm $(WEBDIR)
	cp $(RPM_PREFIX)-$(VERSION)-1.src.rpm $(WEBDIR)
	cp $(SPEC_PREFIX)-$(VERSION).tar.gz $(WEBDIR)
	cp README $(WEBDIR)/$(SPEC_PREFIX)-$(VERSION)_README.txt
	cd $(WEBDIR); svn add $(RPM_PREFIX)-$(VERSION)*.rpm $(SPEC_PREFIX)-$(VERSION).tar.gz $(SPEC_PREFIX)-$(VERSION)_README.txt
	echo "to finish: cd $(WEBDIR); svn commit -m \"release $(RPM_PREFIX)-$(VERSION)\""


END
close (MF);
